(function ($, Drupal) {

    Drupal.behaviors.statisticsGraphics = {
        attach:StatisticsGraphicsBehaviorAttach
    };

    /**
     * Statistics Graphics
     *
     * @param context
     * @param settings
     * @constructor
     */
    function StatisticsGraphicsBehaviorAttach(context, settings) {
      var statistics_graphics = $('.statistics_graphics');
      $('.btn-facts-close').click(hideShowStatisticsGraphics);
      $('.btn-more-facts').click(showStatisticsGraphics);

      function hideShowStatisticsGraphics() {
        statistics_graphics.hide();
        $('.btn-more-facts').show();
        $('.btn-facts-close').hide();
        $('.btn-facts-close-label').hide();
      }

      function showStatisticsGraphics() {
        statistics_graphics.show();
        $('.btn-more-facts').hide();
        $('.btn-facts-close').show();
        $('.btn-facts-close-label').show();
      }

    }

})(jQuery, Drupal);

